Bug 1029977 - [abrt] gtg-0.3-4.fc20: browser.py:521:restore_state_from_conf:AttributeError: 'NoneType' object has no attribute 'expand_node'
[abrt] gtg-0.3-4.fc20: browser.py:521:restore_state_from_conf:AttributeError:...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gtg (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ankur Sinha (FranciscoD)
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:ac76f5ae475ec621c83e38e6253...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-13 11:03 EST by Tim Waugh
Modified: 2013-12-13 22:50 EST (History)
1 user (show)

See Also:
Fixed In Version: gtg-0.3.1-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-13 22:50:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (1.22 KB, text/plain)
2013-11-13 11:04 EST, Tim Waugh
no flags Details
File: environ (1.53 KB, text/plain)
2013-11-13 11:04 EST, Tim Waugh
no flags Details

  None (edit)
Description Tim Waugh 2013-11-13 11:03:50 EST
Description of problem:
Happens on start-up after having used it before.

Version-Release number of selected component:
gtg-0.3-4.fc20

Additional info:
reporter:       libreport-2.1.9
cmdline:        /usr/bin/python /usr/bin/gtg
executable:     /usr/bin/gtg
kernel:         3.11.7-300.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            1001

Truncated backtrace:
browser.py:521:restore_state_from_conf:AttributeError: 'NoneType' object has no attribute 'expand_node'

Traceback (most recent call last):
  File "/usr/bin/gtg", line 85, in <module>
    main()
  File "/usr/bin/gtg", line 81, in main
    sys.exit(gtg.main(options, args))
  File "/usr/lib/python2.7/site-packages/GTG/gtg.py", line 120, in main
    manager = Manager(req)
  File "/usr/lib/python2.7/site-packages/GTG/gtk/manager.py", line 75, in __init__
    self.browser = TaskBrowser(self.req, self)
  File "/usr/lib/python2.7/site-packages/GTG/gtk/browser/browser.py", line 129, in __init__
    self.restore_state_from_conf()
  File "/usr/lib/python2.7/site-packages/GTG/gtk/browser/browser.py", line 521, in restore_state_from_conf
    self.tagtreeview.expand_node(path)
AttributeError: 'NoneType' object has no attribute 'expand_node'

Local variables in innermost frame:
ypos: 59
width: 590
tag_pane: False
path_t: "('search',)"
xpos: 1
closed_task_pane: True
botpos: 331
self: <TaskBrowser object at 0x1825640 (GTG+gtk+browser+browser+TaskBrowser at 0xec52e0)>
p: ''
sort_order: 1
sidebar_width: 252
toolbar: False
path: ('search',)
model: <TreeModel object at 0x1825870 (GtkTreeStore at 0x18fac90)>
height: 590
sort_column: 6
quickadd_pane: True

Potential duplicate: bug 893351
Comment 1 Tim Waugh 2013-11-13 11:04:07 EST
Created attachment 823515 [details]
File: backtrace
Comment 2 Tim Waugh 2013-11-13 11:04:17 EST
Created attachment 823516 [details]
File: environ
Comment 3 Tim Waugh 2013-11-13 11:06:57 EST
I had to edit .config/gtg/gtg.conf to set tag_pane to True to work around this.
Comment 4 Fedora Update System 2013-11-27 03:44:11 EST
gtg-0.3.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/gtg-0.3.1-1.fc20
Comment 5 Fedora Update System 2013-11-27 11:09:11 EST
Package gtg-0.3.1-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gtg-0.3.1-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-22265/gtg-0.3.1-1.fc20
then log in and leave karma (feedback).
Comment 6 Tim Waugh 2013-12-11 11:32:11 EST
I guess this affects F-18 and F-19 as well? Just seen on F-18.
Comment 7 Fedora Update System 2013-12-13 22:50:21 EST
gtg-0.3.1-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.